<?php
/*
 * copyright (c) 2009 MDBitz - Matthew John Denton - mdbitz.com
 *
 * This file is part of HarvestAPI.
 *
 * HarvestAPI is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HarvestAPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HarvestAPI. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Harvest_TimeZone
 *
 * This file contains the class Harvest_TimeZone
 *
 * @author Matthew John Denton <matt@mdbitz.com>
 * @package com.mdbitz.harvest
 */

/**
 * Harvest_TimeZone defines the timezone options supported by Harvest
 *
 * @package com.mdbitz.harvest
 */
class Harvest_TimeZone
{

    /**
     *  Abu Dhabi
     */
    const ABU_DHABI = "Abu Dhabi";

    /**
     *  Adelaide
     */
    const ADELAIDE = "Adelaide";

    /**
     *  Alaska
     */
    const ALASKA = "Alaska";

    /**
     *  Almaty
     */
    const ALMATY = "Almaty";

    /**
     *  Amsterdam
     */
    const AMSTERDAM = "Amsterdam";

    /**
     *  Arizona
     */
    const ARIZONA = "Arizona";

    /**
     *  Astana
     */
    const ASTANA = "Astana";

    /**
     *  Athens
     */
    const ATHENS = "Athens";

    /**
     *  Atlantic Time (Canada)
     */
    const ATLANTIC_TIME = "Atlantic Time (Canada)";

    /**
     *  Auckland
     */
    const AUCKLAND = "Auckland";

    /**
     *  Azores
     */
    const AZORES = "Azores";

    /**
     *  Baghdad
     */
    const BAGHDAD = "Baghdad";

    /**
     *  Baku
     */
    const BAKU = "Baku";

    /**
     *  Bangkok
     */
    const BANGKOK = "Bangkok";

    /**
     *  Beijing
     */
    const BEIJING = "Beijing";

    /**
     *  Belgrade
     */
    const BELGRADE = "Belgrade";

    /**
     *  Berlin
     */
    const BERLIN = "Berlin";

    /**
     *  Bern
     */
    const BERN = "Bern";

    /**
     *  Bogota
     */
    const BOGOTA = "Bogota";

    /**
     *  Brasilia
     */
    const BRASILIA = "Brasilia";

    /**
     *  Bratislava
     */
    const BRATISLAVA = "Bratislava";

    /**
     *  Brisbane
     */
    const BRISBANE = "Brisbane";

    /**
     *  Brussels
     */
    const BRUSSELS = "Brussels";

    /**
     *  Bucharest
     */
    const BUCHAREST = "Bucharest";

    /**
     *  Budapest
     */
    const BUDAPEST = "Budapest";

    /**
     *  Buenos Aires
     */
    const BUENOS_AIRES = "Buenos Aires";

    /**
     *  Cairo
     */
    const CAIRO = "Cairo";

    /**
     *  Canberra
     */
    const CANBERRA = "Canberra";

    /**
     *  Cape Verde Is.
     */
    const CAPE_VERDE_IS = "Cape Verde Is.";

    /**
     *  Caracas
     */
    const CARACAS = "Caracas";

    /**
     *  Casablanca
     */
    const CASABLANCA = "Casablanca";

    /**
     *  Central America
     */
    const CENTRAL_AMERICA = "Central America";

    /**
     *  Central Time (US & Canada)
     */
    const CENTRAL_TIME = "Central Time (US & Canada)";

    /**
     *  Chennai
     */
    const CHENNAI = "Chennai";

    /**
     *  Chihuahua
     */
    const CHIHUAHUA = "Chihuahua";

    /**
     *  Chongqing
     */
    const CHONGQING = "Chongqing";

    /**
     *  Copenhagen
     */
    const COPENHAGEN = "Copenhagen";

    /**
     *  Darwin
     */
    const DARWIN = "Darwin";

    /**
     *  Dhaka
     */
    const DHAKA = "Dhaka";

    /**
     *  Dublin
     */
    const DUBLIN = "Dublin";

    /**
     *  Eastern Time (US & Canada)
     */
    const EASTERN_TIME = "Eastern Time (US & Canada)";

    /**
     *  Edinburgh
     */
    const EDINBURGH = "Edinburgh";

    /**
     *  Ekaterinburg
     */
    const EKATERINBURG = "Ekaterinburg";

    /**
     *  Fiji
     */
    const FIJI = "Fiji";

    /**
     *  Georgetown
     */
    const GEORGETOWN = "Georgetown";

    /**
     *  Greenland
     */
    const GREENLAND = "Greenland";

    /**
     *  Guadalajara
     */
    const GUADALAJARA = "Guadalajara";

    /**
     *  Guam
     */
    const GUAM = "Guam";

    /**
     *  Hanoi
     */
    const HANOI = "Hanoi";

    /**
     *  Harare
     */
    const HARARE = "Harare";

    /**
     *  Hawaii
     */
    const HAWAII = "Hawaii";

    /**
     *  Helsinki
     */
    const HELSINKI = "Helsinki";

    /**
     *  Hobart
     */
    const HOBART = "Hobart";

    /**
     *  Hong Kong
     */
    const HONG_KONG = "Hong Kong";

    /**
     *  Indiana (East)
     */
    const INDIANA = "Indiana (East)";

    /**
     *  International Date Line West
     */
    const INTERNATIONAL_DATE_LINE_WEST = "International Date Line West";

    /**
     *  Irkutsk
     */
    const IRKUTSK = "Irkutsk";

    /**
     *  Islamabad
     */
    const ISLAMABAD = "Islamabad";

    /**
     *  Istanbul
     */
    const ISTANBUL = "Istanbul";

    /**
     *  Jakarta
     */
    const JAKARTA = "Jakarta";

    /**
     *  Jerusalem
     */
    const JERUSALEM = "Jerusalem";

    /**
     *  Kabul
     */
    const KABUL = "Kabul";

    /**
     *  Kamchatka
     */
    const KAMCHATKA = "Kamchatka";

    /**
     *  Karachi
     */
    const KARACHI = "Karachi";

    /**
     *  Kathmandu
     */
    const KATHMANDU = "Kathmandu";

    /**
     *  Kolkata
     */
    const KOLKATA = "Kolkata";

    /**
     *  Krasnoyarsk
     */
    const KRASNOYARSK = "Krasnoyarsk";

    /**
     *  Kuala Lumpur
     */
    const KUALA_LUMPUR = "Kuala Lumpur";

    /**
     *  Kuwait
     */
    const KUWAIT = "Kuwait";

    /**
     *  Kyev
     */
    const KYEV = "Kyev";

    /**
     *  La Paz
     */
    const LA_PAZ = "La Paz";

    /**
     *  Lima
     */
    const LIMA = "Lima";

    /**
     *  Lisbon
     */
    const LISBON = "Lisbon";

    /**
     *  Ljubljana
     */
    const LJUBLJANA = "Ljubljana";

    /**
     *  London
     */
    const LONDON = "London";

    /**
     *  Madrid
     */
    const MADRID = "Madrid";

    /**
     *  Magadan
     */
    const MAGADAN = "Magadan";

    /**
     *  Marshall Is.
     */
    const MARSHALL_IS = "Marshall Is.";

    /**
     *  Mazatlan
     */
    const MAZATLAN = "Mazatlan";

    /**
     *  Melbourne
     */
    const MELBOURNE = "Melbourne";

    /**
     *  Mexico City
     */
    const MEXICO_CITY = "Mexico City";

    /**
     *  Mid-Atlantic
     */
    const MID_ATLANTIC = "Mid-Atlantic";

    /**
     *  Midway Island
     */
    const MIDWAY_ISLAND = "Midway Island";

    /**
     *  Minsk
     */
    const MINSK = "Minsk";

    /**
     *  Monrovia
     */
    const MONROVIA = "Monrovia";

    /**
     *  Monterrey
     */
    const MONTERREY = "Monterrey";

    /**
     *  Moscow
     */
    const MOSCOW = "Moscow";

    /**
     *  Mountain Time (US & Canada)
     */
    const MOUNTAIN_TIME = "Mountain Time (US & Canada)";

    /**
     *  Mumbai
     */
    const MUMBAI = "Mumbai";

    /**
     *  Muscat
     */
    const MUSCAT = "Muscat";

    /**
     *  Nairobi
     */
    const NAIROBI = "Nairobi";

    /**
     *  New Caledonia
     */
    const NEW_CALEDONIA = "New Caledonia";

    /**
     *  New Delhi
     */
    const NEW_DELHI = "New Delhi";

    /**
     *  Newfoundland
     */
    const NEWFOUNDLAND = "Newfoundland";

    /**
     *  Novosibirsk
     */
    const NOVOSIBIRSK = "Novosibirsk";

    /**
     *  Nuku'alofa
     */
    const NUKU_ALOFA = "Nuku'alofa";

    /**
     *  Osaka
     */
    const OSAKA = "Osaka";

    /**
     *  Pacific Time (US & Canada)
     */
    const PACIFIC_TIME = "Pacific Time (US & Canada)";

    /**
     *  Paris
     */
    const PARIS = "Paris";

    /**
     *  Perth
     */
    const PERTH = "Perth";

    /**
     *  Port Moresby
     */
    const PORT_MORESBY = "Port Moresby";

    /**
     *  Prague
     */
    const PRAGUE = "Prague";

    /**
     *  Pretoria
     */
    const PRETORIA = "Pretoria";

    /**
     *  Quito
     */
    const QUITO = "Quito";

    /**
     *  Rangoon
     */
    const RANGOON = "Rangoon";

    /**
     *  Riga
     */
    const RIGA = "Riga";

    /**
     *  Riyadh
     */
    const RIYADH = "Riyadh";

    /**
     *  Rome
     */
    const ROME = "Rome";

    /**
     *  Samoa
     */
    const SAMOA = "Samoa";

    /**
     *  Santiago
     */
    const SANTIAGO = "Santiago";

    /**
     *  Sapporo
     */
    const SAPPORO = "Sapporo";

    /**
     *  Sarajevo
     */
    const SARAJEVO = "Sarajevo";

    /**
     *  Saskatchewan
     */
    const SASKATCHEWAN = "Saskatchewan";

    /**
     *  Seoul
     */
    const SEOUL = "Seoul";

    /**
     *  Singapore
     */
    const SINGAPORE = "Singapore";

    /**
     *  Skopje
     */
    const SKOPJE = "Skopje";

    /**
     *  Sofia
     */
    const SOFIA = "Sofia";

    /**
     *  Solomon Is.
     */
    const SOLOMON_IS = "Solomon Is.";

    /**
     *  Sri Jayawardenepura
     */
    const SRI_JAYAWARDENEPURA = "Sri Jayawardenepura";

    /**
     *  St. Petersburg
     */
    const ST_PETERSBURG = "St. Petersburg";

    /**
     *  Stockholm
     */
    const STOCKHOLM = "Stockholm";

    /**
     *  Sydney
     */
    const SYDNEY = "Sydney";

    /**
     *  Taipei
     */
    const TAIPEI = "Taipei";

    /**
     *  Tallinn
     */
    const TALLINN = "Tallinn";

    /**
     *  Tashkent
     */
    const TASHKENT = "Tashkent";

    /**
     *  Tbilisi
     */
    const TBILISI = "Tbilisi";

    /**
     *  Tehran
     */
    const TEHRAN = "Tehran";

    /**
     *  Tijuana
     */
    const TIJUANA = "Tijuana";

    /**
     *  Tokyo
     */
    const TOKYO = "Tokyo";

    /**
     *  UTC
     */
    const UTC = "UTC";

    /**
     *  Ulaan Bataar
     */
    const ULAAN_BATAAR = "Ulaan Bataar";

    /**
     *  Urumqi
     */
    const URAMQI = "Urumqi";

    /**
     *  Vienna
     */
    const VIENNA = "Vienna";

    /**
     *  Vilnius
     */
    const VILNIUS = "Vilnius";

    /**
     *  Vladivostok
     */
    const VLADIVOSTOK = "Vladivostok";

    /**
     *  Volgograd
     */
    const VOLGOGRAD = "Volgograd";

    /**
     *  Warsaw
     */
    const WARSAW = "Warsaw";

    /**
     *  Wellington
     */
    const WELLINGTON = "Wellington";

    /**
     *  West Central Africa
     */
    const WEST_CENTRAL_AFRICA = "West Central Africa";

    /**
     *  Yakutsk
     */
    const YAKUTSK = "Yakutsk";

    /**
     *  Yerevan
     */
    const YEREVAN = "Yerevan";

    /**
     *  Zagreb
     */
    const ZAGREB = "Zagreb";

}